Bug 250918 - net/intel-em-kmod: link_elf_obj: symbol if_multiaddr_array undefined
Summary: net/intel-em-kmod: link_elf_obj: symbol if_multiaddr_array undefined
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: buildisok, patch, regression
Depends on:
Blocks:
 
Reported: 2020-11-07 02:28 UTC by Jan Beich
Modified: 2020-11-29 05:09 UTC (History)
2 users (show)

See Also:


Attachments
Apply base r353844 (3.85 KB, patch)
2020-11-07 03:50 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-11-07 02:28:47 UTC
Regressed by base r353868. Builds fine but doesn't work on FreeBSD 13.0. If you don't plan to fix mark as IGNORE_FreeBSD_13=<rationale>

$ kldload if_em_updated
link_elf_obj: symbol if_multiaddr_array undefined
linker_load_file: /boot/modules/if_em_updated.ko - unsupported file type
kldload: an error occurred while loading module if_em_updated. Please check dmesg(8) for more details.

I wanted to check if switching from 7.6.1-k iflib-based version to 7.7.8 upstream would improve stability and unmask TSO/LRO by default on my card.

$ pciconf -lvcb
em0@pci0:0:31:6:        class=0x020000 rev=0x31 hdr=0x00 vendor=0x8086 device=0x15b8 subvendor=0x1462 subdevice=0x7968
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Connection (2) I219-V'
    class      = network
    subclass   = ethernet
    bar   [10] = type Memory, range 32, base rxde500000, size 131072, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit enabled with 1 message
    cap 13[e0] = PCI Advanced Features: FLR TP
Comment 1 Jan Beich freebsd_committer 2020-11-07 03:50:16 UTC
Created attachment 219415 [details]
Apply base r353844

Reverting base r353868 + base r353869 + base r364019 made it work but fixing was also easy.
Comment 2 Automation User 2020-11-22 00:08:50 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/219535959
Comment 3 commit-hook freebsd_committer 2020-11-29 05:08:19 UTC
A commit references this bug:

Author: jbeich
Date: Sun Nov 29 05:08:13 UTC 2020
New revision: 556549
URL: https://svnweb.freebsd.org/changeset/ports/556549

Log:
  net/intel-em-kmod: unbreak on -CURRENT

  link_elf_obj: symbol if_multiaddr_array undefined

  PR:		250918
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/net/intel-em-kmod/Makefile
  head/net/intel-em-kmod/files/
  head/net/intel-em-kmod/files/patch-base-r353844